#!/usr/bin/env PYTHONHASHSEED=1234 python3

# Copyright 2014-2019 Brett Slatkin, Pearson Education Inc.
#
# Udostępniono na licencji Apache w wersji 2.0 ("Licencja").
# Tego pliku można używać jedynie zgodnie z warunkami Licencji.
# Treść Licencji znajdziesz na stronie:
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# O ile obowiązujące prawo nie stanowi inaczej lub czegoś innego nie
# uzgodniono w formie pisemnej, oprogramowanie objęte Licencją jest
# dostarczane w stanie, w jakim jest (wersja "AS IS"), BEZ JAKIEJKOLWIEK
# GWARANCJI, ani wyrażonej otwarcie, ani domyślnej. Dokładne zasady
# i warunki Licencji znajdziesz w jej treści.

import tracemalloc

tracemalloc.start(10)                      # Zachowanie do 10 ramek stosu.
time1 = tracemalloc.take_snapshot()        # Przed wykonaniem migawki.

import waste_memory

x = waste_memory.run()                     # Operacja do debugowania.
time2 = tracemalloc.take_snapshot()        # Po wykonaniu migawki.

stats = time2.compare_to(time1, 'lineno')  # Porównanie migawek.
for stat in stats[:3]:
    print(stat)
